﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[GIFHOT]') AND name = N'XGIFHOT1')
BEGIN 
PRINT 'Creating index XGIFHOT1 on table GIFHOT'
CREATE UNIQUE NONCLUSTERED INDEX [XGIFHOT1] ON [dbo].[GIFHOT] 
(
	[COMM] ASC,
	[SERI] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'GIFHOT' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_GIFHOT_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_GIFHOT_COMM on table GIFHOT' 
    ALTER TABLE [dbo].[GIFHOT]
    ADD CONSTRAINT [DF_GIFHOT_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

